> ## Documentation Index
> Fetch the complete documentation index at: https://docs.replyke.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark All Notifications as Read

> Mark all unread notifications as read for the authenticated user

Marks all unread notifications as read for the currently authenticated user. Only notifications that are currently `isRead: false` are updated.

<Note>
  This endpoint requires an authenticated user. Include a valid `Authorization: Bearer <accessToken>` header.
</Note>

## Response

Returns HTTP `200` with the number of notifications that were updated:

<ResponseField name="markedAsRead" type="number">
  The count of notifications that were updated from unread to read. Returns `0` if there were no unread notifications.
</ResponseField>

**Example:**

```json theme={null}
{
  "markedAsRead": 12
}
```

## Error Responses

<AccordionGroup>
  <Accordion title="Unauthorized — 401">
    ```json theme={null}
    {
      "error": "Unauthorized",
      "code": "auth/unauthorized"
    }
    ```
  </Accordion>
</AccordionGroup>

## See Also

* [Mark Single Notification as Read](/api-reference/app-notifications/mark-as-read)
* [`useAppNotifications` hook](/hooks/app-notifications/use-app-notifications)
